/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:14pm
Filepath: scripts\Items\artifacts\champion spawns\SashOfPain.cs
Lines of code: 33

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class SashOfPain : BodySash
	{


		[Constructable]
		public SashOfPain()
		{
			Hue = 1174;
			Name = "Sash Of Pain";
			Attributes.WeaponDamage = 25;
			SkillBonuses.SetValues( 0, SkillName.Tactics, 10.0 );
		}

		public SashOfPain( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnAfterLoad()
		{		
			Misc.ObjectConverter.ConvertItem(this,new SashOfTheAbyss());
		}			
	}
}